import React, { lazy, Suspense } from "react";
import ReactDom from "react-dom";
import PreferencesState from "./store/PreferencesState";
import "./css/style.css";

const Main = lazy(() => import("./Main"));
const TestSection = lazy(() => import("./components/TestSection"));
const isDeveloping = false;

const container = document.getElementById("root");

ReactDom.render(
  <PreferencesState>
    <Suspense fallback={<div>Loading Kromac UI...</div>}>
      {!isDeveloping ? <Main /> : <TestSection />}
    </Suspense>
  </PreferencesState>,
  container
);
